package LogViewer4MTOS::L10N::ja;

use strict;
use base 'LogViewer4MTOS::L10N';
use vars qw( %Lexicon );

our %Lexicon = (
    '_PLUGIN_DESCRIPTION' => 'アクセス解析機能を提供します。',
    'Import Log' => 'ログのインポート',
    'View Report' => 'アクセスログを表示',
    'All' => '全期間',
    'Rank' => '順位',
    'Access' => 'アクセス',
    'Last Access' => '最終アクセス時刻',
    'URL Report' => 'URLレポート',
    'Select...' => '選択...',
    'Rebuilding Report' => 'アクセスログレポートの再構築',
    'Rebuilding all url report...' => 'ページビューレポート（全期間）の再構築中...',
    'Rebuilding all summary report...' => 'レポートサマリー（全期間）の再構築中...',
    'Rebuilding monthly url report...' => 'ページビューレポート（月別）の再構築中...',
    'Rebuilding monthly summary report...' => 'レポートサマリー（月別）の再構築中...',
    'Rebuilding yearly url report...' => 'ページビューレポート（年別）の再構築中...',
    'Rebuilding yearly summary report...' => 'レポートサマリー（年別）の再構築中...',
    'Rebuilding daily url report...' => 'ページビューレポート（日別）の再構築中...',
    'Rebuilding daily summary report...' => 'レポートサマリー（日別）の再構築中...',
    'Import access log was succsessful.' => 'ログのインポートが完了しました。',
    'Import access log &amp all report has been rebuild.' => 'ログのインポートとレポートの再構築が完了しました。',
    'No access log.' => '処理すべきログはありません。',
    'Last 7 days' => '最新の7日間',
    'Last 24 hours' => '最新24時間',
    'Finishing report...' => '最後の仕上げをしています...',
    'Last [_1] days' => '最新の[_1]日間',
    'Last' => '最新の',
    'Total' => 'トータル',
    'Tracking Page Path:' => 'アクセスログ記録テンプレートの出力ファイル名:',
    'Tracking JavaScript Path:' => 'アクセスログ保存 JavaScript テンプレートの出力ファイル名:',
    'Search Tracking Page Path:' => '検索ログ記録テンプレートの出力ファイル名:',
    'Search Tracking JavaScript Path:' => '検索ログ保存 JavaScript テンプレートの出力ファイル名:',
    'Index Filename:' => 'ディレクトリへのアクセスに対する優先ファイル名:',
    'Yearly Report' => '年別レポート',
    'Monthly Report' => '月別レポート',
    'Daily Report' => '日別レポート',
    'All Report' => '全期間レポート',
    'Entry ' => 'ブログ<br />記事',
    'Page ' => 'ウェブ<br />ページ',
    'Cate<br />-gory' => 'カテゴ<br />リ',
    'Daily ' => '日別　',
    'Index ' => 'インデ<br />ックス',
    'Other ' => 'その他',
    'User ' => 'ユーザ<br />ー',
    'Page View' => 'ページビュー',
    'Other' => 'その他',
    );

1;
