package LogViewer4MTOS::LogSummary;
use strict;

@LogViewer4MTOS::LogSummary::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'period' => 'string(25)',
        'blog_id' => 'integer',
        'period_key' => 'integer',
        'period_month' => 'integer',
        'period_year' => 'integer',
        'counter' => 'integer',
        'counter_user' => 'integer',
        'counter_entry' => 'integer',
        'counter_page' => 'integer',
        'counter_category' => 'integer',
        'counter_daily' => 'integer',
        'counter_index' => 'integer',
        'counter_other' => 'integer',
        'object_type' => 'string(25)',
    },
    indexes => {
        'period' => 1,
        'blog_id' => 1,
        'period_key' => 1,
        'period_month' => 1,
        'period_year' => 1,
        'counter' => 1,
    },
    datasource => 'logsummary',
    primary_key => 'id',
});

1;