package LogViewer4MTOS::LogViewerLastUrls;
use strict;

@LogViewer4MTOS::LogViewerLastUrls::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'url' => 'string(255)',
        'title' => 'text',
        'counter' => 'integer',
        'period' => 'string(25)',
        'period_key' => 'integer',
        'start' => 'datetime',
        'end' => 'datetime',
        'blog_id' => 'integer',
        'object_type' => 'string(25)',
        'object_id' => 'integer',
        'entry_id' => 'integer',
        'first_access' => 'datetime',
        'last_access' => 'datetime',
        'modifier_ts' => 'datetime',
    },
    indexes => {
        'url' => 1,
        'counter' => 1,
        'period' => 1,
        'period_key' => 1,
        'start' => 1,
        'end' => 1,
        'blog_id' => 1,
        'object_type' => 1,
        'entry_id' => 1,
        'object_id' => 1,
        'first_access' => 1,
        'last_access' => 1,
        'modifier_ts' => 1,
    },
    datasource => 'logviewerlasturls',
    primary_key => 'id',
});

1;