package LogViewer4MTOS::LogViewerUserInfo;
use strict;

@LogViewer4MTOS::LogViewerUserInfo::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'first_access' => 'datetime',
        'last_access' => 'datetime',
        'remote_addr' => 'string(255)',
        'user_name' => 'string(255)',
        'user_id' => 'integer',
        'userinfo' => 'string(255)',
        'access_count' => 'integer',
    },
    indexes => {
        'first_access' => 1,
        'last_access' => 1,
        'user_id' => 1,
        'user_name' => 1,
        'userinfo' => 1,
        'access_count' => 1,
    },
    datasource => 'logvieweruserinfo',
    primary_key => 'id',
});

1;