<?php
function smarty_function_mtlvtrackinglog($args, &$ctx) {
    $param = getenv('REDIRECT_QUERY_STRING');
    parse_str($param);
    if ($path == '') {
       $ref = $_SERVER["HTTP_REFERER"];
       $host = $_SERVER["HTTP_HOST"];
       $host = quotemeta($host);
       $pettern = '/https*:\/\/' . $host . '(\/.*$)/';
       if (preg_match($pettern, $ref, $matches)) {
           $path = $matches[1];
       }
       if (preg_match('/\/$/', $path)) {
           $path .= 'index.html';
       }
       if ($path == '') {
           return '';
       }
    }
    if (! preg_match("/^[0-9]+$/", $bid)) {
        $bid = '0';
    }
    if (! preg_match("/^[0-9]+$/", $oid)) {
        $oid = '0';
    }
    if ($at == '') {
        $at = 'other';
    }
    require_once("MTUtil.php");
    $ts = offset_time_list(time(), $bid);
    $ts = sprintf("%04d%02d%02d%02d%02d%02d",
                $ts[5]+1900, $ts[4]+1, $ts[3], $ts[2], $ts[1], $ts[0]);
    $pathes = split('\?', $path);
    if (count($pathes) > 1) {
        $path = $pathes[0];
        $search = $pathes[1];
    }
    $mt = $ctx->mt->config('CGIPath');
    $mt .= $ctx->mt->config('AdminScript');
    if (preg_match('/^http/', $mt)) {
    } else {
        $mt = $_SERVER["HTTP_HOST"] . $mt;
    }
    $pettern = str_replace('/', '\/', quotemeta($mt));
    $pettern = '/'. $pettern . '/';
    if (! preg_match($pettern, $referrer)) {
        $mt_path = $ctx->mt->config('MTDir');
        if (substr($mt_path, strlen($mt_path) - 1, 1) == '/')
            $mt_path = substr($mt_path, 1, strlen($mt_path)-1);
        $log_file = $mt_path . '/plugins/LogViewer4MTOS/log/access_log.log';
        if ((stristr(PHP_OS, 'win')) && (PHP_OS != 'Darwin')) {
            $log_file = str_replace('/', '\\', $log_file);
        }
        if (!($fh = fopen($log_file, 'a'))) {
            return 'Error : failed to open stream.';
        }
        $host = $_SERVER["HTTP_HOST"];
        $host = quotemeta($host);
        $self = 0;
        $pettern = '/https*:\/\/' . $host . '/';
        if (preg_match($pettern, $referrer)) {
            $self = 1;
        }
        if ($title != '') {
            str_replace("\t", '', $title);
        }
        $ip = $_SERVER['REMOTE_ADDR'];
        $ua = $_SERVER["HTTP_USER_AGENT"];
        $ua = str_replace("\t",'',$ua);
        $line = htmlspecialchars("$ts\t$bid\t$at\t$oid\t$path\t$title\t$search\t$referrer\t$self\t$uname\t$uid\t$ip\t$ua\n");
        fwrite($fh, $line, 2400);
        fclose($fh);
    }
    return '';
}
?>